Subject: [secdir] Secdir last call review of draft-ietf-pce-stateful-pce-auto-bandwidth-10

From: Daniel Franke via Datatracker <[email-masked]>
Date: Wed, 28 Aug 2019 12:43:06 -0700

Reviewer: Daniel Franke
Review result: Ready

I have reviewed this document as part of the security directorate's  ongoing
effort to review all IETF documents being processed by the IESG. These comments
were written primarily for the benefit of the  security area directors.
Document editors and WG chairs should treat these comments just like any other
last call comments.

The protocol that this draft extends is one intended to be run over TLS and
conducted between two endpoints controlled by the same administrative
authority. The Security Considerations section duly makes this explicit and
references another RFC which thoroughly discusses what can occur when these
assumptions are violated. When the protocol is run as intended, there is no
communication across trust boundaries and therefore the potential security
concerns are minimal.